/*
 *  Copyright 2009 (c) AIST-CNRS
 *
 *  Author: Florent Lamiraux
 */

#ifndef parserOpenHRPKineoDeviceHrp2_H
#define parserOpenHRPKineoDeviceHrp2_H

#include "hppOpenHRP/parserOpenHRPKineoDevice.h"

/**
   \brief Parser for robot HRP2
*/
class CparserOpenHRPKineoDeviceHrp2 : public CparserOpenHRPKineoDevice {
public:
  /**
     Constructor
  */
  CparserOpenHRPKineoDeviceHrp2(ModelInfo_ptr OpenHRPModelInfo);

  /**
     Destructor
  */
  virtual ~CparserOpenHRPKineoDeviceHrp2();

  /**
     \brief Creates HRP2 robot from OpenHRP ModelInfo which is given as a constructor argument
     \param io_device shared pointer to an instance of hpp::model::HumanoidRobot where a joint tree is stored. If io_device is a shared pointer to NULL, an instance of hpp::model::HumanoidRobot is assigned. If a user want to use a specific class which derives hpp::model::HumanoidRobot, an empty(its joint tree is not built) instance of the class can be passed. 
  */
  virtual void parser(hpp::model::HumanoidRobotShPtr& io_device);

};


#endif

